Bug 49480 - Sort out gdm session menu
Sort out gdm session menu
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: gdm (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-19 18:34 EDT by Gene Czarcinski
Modified: 2007-04-18 12:34 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-28 20:14:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gene Czarcinski 2001-07-19 18:34:21 EDT
Description of Problem:
Selecting "last" as the session type does not work

How Reproducible:
every time

Steps to Reproduce:
1. Define user and login (default of gnome)
2. Logout and re-login selecting kde.
3.Logout and re-login selecting "last"

Actual Results:
Last login is gnome

Expected Results:
Should login to kde.

Additional Information:
Comment 1 Glen Foster 2001-07-20 15:58:39 EDT
This defect is considered SHOULD-FIX for Fairfax.
Comment 2 Havoc Pennington 2001-07-22 16:51:10 EDT
If I choose KDE, and it asks "do you want to make KDE the default," and I say
yes, then the next time I log in I get KDE. If I choose KDE and say no I don't
want to make it the default, then I don't get KDE next time. Is this what you
are experiencing?

I think the above-described behavior is how gdm is intended to work, though I
agree it is confusing and the intentions were probably not correct. However 
it's more of a UI design bug than a does-not-work-as-designed bug.

Or do you not get KDE even if you say "yes, make it the default"?
Comment 3 Gene Czarcinski 2001-07-28 15:43:06 EDT
NeedinfO??
Sorry for the late reply ... I have been on vacation to NC beaches.


If what you need is the following, then OK.  Otherwise, please expand.

Selecting "last" should select the "last" session type regardless of what is the
default.

Actually, I believe that the "last" session" and "default" are somewhat
redundant.  If only one is implemented, I believe that "last" whould be more useful.

Again, concerning "last" session, it would be nice if there was some indicator
as to what the "last" session was ... kde, gnome or whatever (like what the CDE
login panel does).  However, "failsafe" should never be the "last" login.
Comment 4 Havoc Pennington 2001-07-28 20:14:53 EDT
Thanks, yes that's the info I needed. I just wanted to be sure you didn't have 
a separate problem from the known issue that the UI is confusing. It does
currently work as someone intended it to work.

I believe the ideal solution from a UI standpoint is that there's no
last/default menu item, the sessions in the menu are in a radio group, with the
currently chosen session checked. However, this idea has been vetoed before for
security reasons, because 
if you have a non-default default session, people can find out your login name
exists without knowing your password. Nonetheless kdm seems to have this UI
feature, and "faces" mode has the same problem, so clearly the security issue is
debatable.
Anyhow, needs sorting out.
Comment 5 Havoc Pennington 2001-08-02 18:54:38 EDT
 2.2.3.1-12 reverts to 7.1-like behavior for this menu

Note You need to log in before you can comment on or make changes to this bug.